View Single Post
Old 01-08-12, 02:08 PM   #144
lonestar_italy
Registered User
 
Join Date: Jan 2011
Posts: 5
Default Re: Linux backlight driver

hi

nvidia_bl v0.71 doesn't compile against kernel 3.2.0:


make -C /lib/modules/3.2.0/build M=/usr/src/nvidiabl/nvidiabl modules
make[1]: Entering directory `/usr/src/linux-3.2'
CC [M] /usr/src/nvidiabl/nvidiabl/nvidiabl-module.o
/usr/src/nvidiabl/nvidiabl/nvidiabl-module.c:37:3: warning: #warning USE_BACKLIGHT_SUSPEND
CC [M] /usr/src/nvidiabl/nvidiabl/nvidiabl-models.o
/usr/src/nvidiabl/nvidiabl/nvidiabl-models.c:214:41: error: expected ) before numeric constant
/usr/src/nvidiabl/nvidiabl/nvidiabl-models.c:215:25: error: expected ) before string constant
make[2]: *** [/usr/src/nvidiabl/nvidiabl/nvidiabl-models.o] Errore 1
make[1]: *** [_module_/usr/src/nvidiabl/nvidiabl] Errore 2
make[1]: Leaving directory `/usr/src/linux-3.2'
make: *** [modules] Errore 2

I think syntax of module_param_named and MODULE_PARM_DESC are changed, but I don't know because I'm not a programmer.
any patch available?
lonestar_italy is offline   Reply With Quote